Get the details of a partner

Path Parameters
  • partnerId
    Type: stringFormat: uuid
    required
Responses
  • application/json
Request Example for get/v1/partners/{partnerId}
curl https://api.consignlyhq.com/v1/partners/123e4567-e89b-12d3-a456-426614174000
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "externalId": null,
  "relationship": "enum (Client = 1, Carrier = 2)",
  "status": "enum (Inactive = 1, Active = 2)",
  "name": null,
  "code": null,
  "email": null,
  "freightResolution": "enum (LeastExpensive = 0, MostExpensive = 1, Compounding = 2)",
  "freightWarningType": "enum (None = 0, Value = 1, Margin = 2)",
  "freightWarningThreshold": 1,
  "containerThresholdDays": 1,
  "rotationMethod": "enum (None = 0, Batch = 1, ExpiryAscending = 2, ExpiryDescending = 3, ProductionDateAscending = 4, ProductionDateDescending = 5, BestBeforeDateAscending = 6, BestBeforeDateDescending = 7, SellByDateAscending = 8, SellByDateDescending = 9, PackagingDateAscending = 10, PackagingDateDescending = 11, ReceivedDateAscending = 12, ReceivedDateDescending = 13)",
  "rotationMethodSecondary": "enum (None = 0, Batch = 1, ExpiryAscending = 2, ExpiryDescending = 3, ProductionDateAscending = 4, ProductionDateDescending = 5, BestBeforeDateAscending = 6, BestBeforeDateDescending = 7, SellByDateAscending = 8, SellByDateDescending = 9, PackagingDateAscending = 10, PackagingDateDescending = 11, ReceivedDateAscending = 12, ReceivedDateDescending = 13)",
  "productBatchUsage": "enum (Hidden = 1, Optional = 2, Required = 3)",
  "productBestBeforeDateUsage": "enum (Hidden = 1, Optional = 2, Required = 3)",
  "productExpiryUsage": "enum (Hidden = 1, Optional = 2, Required = 3)",
  "productPackagingDateUsage": "enum (Hidden = 1, Optional = 2, Required = 3)",
  "productProductionDateUsage": "enum (Hidden = 1, Optional = 2, Required = 3)",
  "productSellByDateUsage": "enum (Hidden = 1, Optional = 2, Required = 3)",
  "productSubstitution": "enum (Allowed = 1, NotAllowed = 2)",
  "productBatchSubstitution": "enum (Allowed = 1, NotAllowed = 2)",
  "productBestBeforeDateSubstitution": "enum (Allowed = 1, NotAllowed = 2)",
  "productExpirySubstitution": "enum (Allowed = 1, NotAllowed = 2)",
  "productPackagingDateSubstitution": "enum (Allowed = 1, NotAllowed = 2)",
  "productProductionDateSubstitution": "enum (Allowed = 1, NotAllowed = 2)",
  "productSellByDateSubstitution": "enum (Allowed = 1, NotAllowed = 2)",
  "productSerialSubstitution": "enum (Allowed = 1, NotAllowed = 2)",
  "productBestBeforeDateCriticalThresholdDays": null,
  "productExpiryCriticalThresholdDays": null,
  "productPackagingDateCriticalThresholdDays": null,
  "productProductionDateCriticalThresholdDays": null,
  "productSellByDateCriticalThresholdDays": null,
  "freeStorageHours": null,
  "unitTypes": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": null,
      "status": "enum (Active = 1, Inactive = 2)"
    }
  ]
}